شبح! آسیب پذیری جدید در لینوکس

[تعداد: ۰    میانگین: ۰/۵]

محققان امنیتی به تازگی یک آسیب پذیری جدی در کتابخانه glibc لینوکس یافتند که با نام اختصاری روح نامیده می شود.

این رخنه به هکرها اجازه می دهد تا بدون هر گونه بررسی از اعتبار سیستم، بصورت کامل کنترل یک سیستم را در اختیار بگیرند.

این رخنه با شناسه CVE-2015-0235 در پایگاه مربوطه ثبت شده است.

محققان امنیتی لینوکس در ۲۷ ژانویه در یک پک امینتی در توزیع های لینوکسی این رخنه امنیتی را برطرف کردند.

glibc یک بخش اصلی از هسته لینوکس به عنوان یک کتابخانه استاندارد C می باشد.

برای نشان دادن اینکه چگونه یک تهدید واقعی این است، Qualys یک ایمیل به ویژه طراحی شده برای یک سرور پست الکترونیکی که قادر به گرفتن دسترسی از راه دور به دستگاه بود ایجاد شده است.

بررسی آسیب پذیری رو سرور لینوکس:

$ wget https://webshare.uchicago.edu/orgs/ITServices/itsec/Downloads/GHOST.c
$ gcc GHOST.c -o GHOST
$ ./GHOST
[responds vulnerable OR not vulnerable ]

سیستم هایی مورد هدف:

RHEL (Red Hat Enterprise Linux) version 5.x, 6.x and 7.x
CentOS Linux version 5.x, 6.x & 7.x
Ubuntu Linux version 10.04, 12.04 LTS
Debian Linux version 7.x
Linux Mint version 13.0
Fedora Linux version 19 or older
SUSE Linux Enterprise 11 and older (also OpenSuse Linux 11 or older versions).
Arch Linux glibc version <= 2.18-1

 

راه کار امنیتی برای برطرف شدن این رخنه امنیتی:

اگر از سرو مجازی با اختصاصی استفاده می کنید حتماً هسته لینوکس خود را آپدیت کنید.

کافیت دستور yum update را روی سرور خود اجرا کنید.

پاسخ دهید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *